.faq__header {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    margin-bottom: 48px;
}

.faq__label {
    color: var(--primary900);
    font-size: 16px;
    font-weight: 600;
    line-height: 32px;
}

.faq__title {
    color: var(--gray900);
    font-size: 28px;
    font-weight: 600;
    line-height: 42px;
}

.faq__list {
    display: flex;
    flex-direction: column;
    gap: 12px;
    max-width: 950px;
    margin-inline: auto;
}

.faq__item {
    background-color: var(--white);
    border-radius: 4px;
    border: 1px solid var(--gray200);
}

.faq__question {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
    padding: 24px;
    cursor: pointer;
    font-size: 14px;
    line-height: 24px;
    font-weight: 500;
}

.faq__icon {
    flex-shrink: 0;
    position: relative;
    width: 20px;
    height: 20px;
}

.faq__icon::before,
.faq__icon::after {
    content: '';
    position: absolute;
    background-color: var(--black);
    border-radius: 2px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: opacity 0.3s ease;
}

.faq__icon::before {
    width: 20px;
    height: 2px;
}

.faq__icon::after {
    width: 2px;
    height: 20px;
}

.faq__item.is-open .faq__icon::after {
    opacity: 0;
}

.faq__answer {
    display: none;
}

.faq__answer-inner {
    padding: 0 24px 24px;
    font-size: 14px;
    line-height: 24px;
    color: var(--gray800);
}

@media (max-width: 676px) {
    .faq__question {
        padding: 16px;
    }

    .faq__answer-inner {
        padding: 0 16px 16px;
    }

    .faq__header {
        margin-bottom: 32px;
    }

    .faq__title {
        font-size: 24px;
        line-height: 32px;
    }
}